@if defined echo (echo %echo% ) else echo off
setlocal

@REM set DEBUG_UPDATE=yes to turn on debugging statements
set DEBUG_UPDATE=no

IF "%1" == ""  GOTO Usage
IF /I NOT "%1" == "install" GOTO check
GOTO Launch

:check
IF /I NOT  "%1" == "uninstall" GOTO Usage 
GOTO Launch

:Usage
echo "updateWizard [ install | uninstall]"
GOTO Usage

:Launch
set LaunchTitle=%0
Echo Start of [ %LaunchTitle% ] launch script.
Echo.
IF "%TC_ROOT%"== "" GOTO ERROR
IF NOT EXIST C:\temp\utils  mkdir C:\temp\utils
copy /Y utils\check_user.sh  C:\temp\utils\
%TC_ROOT%\bin\bash --login -c "C:/temp/utils/check_user.sh"
IF %ERRORLEVEL% == 1 GOTO ends


:CheckProperties
Echo Verifying required properties files
Echo.
IF NOT EXIST "%TC_ROOT%\home\thinkcontrol\properties\version\THINKCONTROL.product" GOTO CopyPropertiesFiles
Echo "Properties files already exist"
GOTO Wizard

:CopyPropertiesFiles
set TCHOME=%TC_ROOT%\home\thinkcontrol
echo creating directories for properties
mkdir %TCHOME%\properties
mkdir %TCHOME%\properties\version
mkdir %TCHOME%\properties\version\backup
mkdir %TCHOME%\properties\version\dtd
mkdir %TCHOME%\properties\version\history
mkdir %TCHOME%\properties\version\log
mkdir %TCHOME%\properties\version\log\wizard

move ..\properties\version\THINKCONTROL.product %TCHOME%\properties\version\THINKCONTROL.product
move ..\properties\version\platform.tivoli %TCHOME%\properties\version\platform.tivoli
move ..\properties\version\thinkcontrol.component %TCHOME%\properties\version\thinkcontrol.component
move ..\properties\version\win.component %TCHOME%\properties\version\win.component
move ..\properties\version\dtd\* %TCHOME%/properties\version\dtd\

:Wizard
Echo Verifying wizard installer jar:
Echo   [ installer.jar ]
Echo.
IF NOT EXIST "%~dp0installer.jar" GoTo FailWizard
GoTo ParseArgs



:FailWizard
Echo The wizard jar file does not exist.  Exiting.
Echo.
GOTO usage

:ParseArgs
set PREREQ_DISABLE_INST=
set PREREQ_DISABLE_UNINST=
set FOR_EFIX=
set RUN_JAVA_HOME=C:\WebSphere\AppServer5\java
GoTo ValidateArgs

:ValidateArgs
IF "%2"=="-dpInstall" GoTo SetPrereqInstall
IF "%2"=="-dpUninstall" GoTo SetPrereqUninstall
IF "%2"=="-efixOnly" GoTo SetEFixOnly
IF "%2"=="-skipJDKCopy" GoTo SetExternalJDK

IF "%2"=="" GoTo SetupJDK

IF NOT "%2"=="-usage" Echo Usage error: [ "%2" is an unrecognized argument ]

Echo.
Echo Usage: updateWizard ([install | uninstall ][ -efixOnly | -dpInstall | -dpUninstall | -skipJDKCopy | -usage ])
Echo.
Echo   efixOnly    - Run the installer in EFix Processing mode only. 
Echo   dpInstall   - Disable install prerequisite error locking.	
Echo   dpUninstall - Disable uninstall prerequisite error locking.
Echo   skipJDKCopy - Run the installer directly from JAVA_HOME.
Echo   usage       - Display syntax help. 
Echo.
GOTO Usage

:SetEFixOnly
set FOR_EFIX=-W UpdateActionSelect.disablePTFOptions=yes
shift
GoTo ValidateArgs

:SetPrereqInstall
set PREREQ_DISABLE_INST=-W EfixInstallPrereqError.prereqOverride="yes"
shift
GoTo ValidateArgs  

:SetPrereqUninstall
set PREREQ_DISABLE_UNINST=-W EfixUninstallPrereqError.prereqOverride="yes"
shift
GoTo ValidateArgs

:SetExternalJDK
set RUN_JAVA_HOME=yes
shift
GoTo ValidateArgs

:SetupJDK
set JAVA_TMP=%~dp0java_tmp
IF NOT EXIST "%JAVA_TMP%\bin" GoTo PrepareJDK
IF NOT EXIST "%JAVA_TMP%\bin\java.exe" GoTo PrepareJDK
goto UseLocalJDK

:PrepareJDK
IF NOT "%OS%" == "Windows_NT" GoTo Win9xQuoteStrip
GoTo WinNTQuoteStrip

:Win9XQuoteStrip
@REM FOR %%A IN (%JAVA_HOME%) DO SET NEW_JAVA_HOME=%%A
@REM set JAVA_HOME=%NEW_JAVA_HOME%
@REM IF "%JAVA_HOME%" == "" GoTo CheckSetup
IF "%JAVA_HOME%" == "" GoTo CheckSetup
IF "%RUN_JAVA_HOME%" == "yes" goto RunOffJavaHome

:WinNTQuoteStrip
set JAVA_HOME_TMP=%JAVA_HOME%
set MOD_JAVA_HOME=%JAVA_HOME_TMP:"=%
set NEW_JAVA_HOME=%MOD_JAVA_HOME:"=%
set JAVA_HOME=%NEW_JAVA_HOME%
IF "%JAVA_HOME%" == "=" GoTo CheckSetup
IF "%RUN_JAVA_HOME%" == "yes" goto RunOffJavaHome
goto UseJavaHome

:UseLocalJDK
set JAVA_HOME=%JAVA_TMP%
IF "%DEBUG_UPDATE%" == "yes" Echo Using the local copy of the JDK, made previously, for processing:
IF "%DEBUG_UPDATE%" == "yes" Echo   JAVA_HOME: [ %JAVA_HOME% ]
IF "%DEBUG_UPDATE%" == "yes" Echo.
goto LaunchInstaller

:RunOffJavaHome
Echo No local copy of the JDK will be created.  
Echo The installer will run directly from JAVA_HOME.
Echo.
goto LaunchInstaller

:UseJavaHome
IF "%DEBUG_UPDATE%" == "yes" Echo JAVA_HOME was set.
IF "%DEBUG_UPDATE%" == "yes" Echo   JAVA_HOME: [ %JAVA_HOME% ]
IF "%DEBUG_UPDATE%" == "yes" Echo.
goto TestJDK

:CheckSetup
IF "%DEBUG_UPDATE%" == "yes" Echo JAVA_HOME is not set.
IF "%DEBUG_UPDATE%" == "yes" Echo Attempting to locate setupCmdLine.bat.
IF "%DEBUG_UPDATE%" == "yes" Echo.
IF NOT EXIST "%~dp0..\bin" GoTo FailSetup
IF NOT EXIST "%~dp0..\bin\setupCmdLine.bat" GoTo FailSetup
GoTo CallSetup

:FailSetup
Echo JAVA_HOME must be set before launching the update wizard:
Echo     JAVA_HOME was not set;
Echo     Set JAVA_HOME manually with the install_root/bin/setupCmdLine.bat or setupClient.bat script.
Echo.
Echo (setupCmdLine.bat or setupClient.bat is usually located beneath your
Echo WebSphere Application Server installation, in the 'bin'
Echo directory.)
Echo.
Echo Exiting.
Echo.
GOTO Usage

:CallSetup
call "%~dp0..\bin\setupCmdLine.bat"
GoTo TestJDK

:TestJDK
IF NOT EXIST "%JAVA_HOME%\bin" GoTo FailJavaHome
IF NOT EXIST "%JAVA_HOME%\bin\java.exe" GoTo FailJavaHome
IF "%RUN_JAVA_HOME%" == "yes" goto RunOffJavaHome
goto CopyJDK

:FailJavaHome
Echo The JDK was not found within the set JAVA_HOME:
Echo   JAVA_HOME: [ %JAVA_HOME%\bin\java.exe ]
Echo.
Echo Exiting.
Echo.
GOTO Usage

:CopyJDK
IF NOT "%FOR_EFIX%"=="" goto SkipCopyJDK
IF "%DEBUG_UPDATE%" == "yes" Echo Making local copy of the JDK, which is required
IF "%DEBUG_UPDATE%" == "yes" Echo for PTF processing:
IF "%DEBUG_UPDATE%" == "yes" Echo   JAVA_HOME: [ %JAVA_HOME% ]
IF "%DEBUG_UPDATE%" == "yes" Echo   JAVA_TMP:  [ %JAVA_TMP% ]
IF "%DEBUG_UPDATE%" == "yes" Echo.
IF NOT EXIST "%JAVA_TMP%" MKDIR "%JAVA_TMP%"
IF NOT EXIST "%JAVA_TMP%" GoTo FailedCopyJDK
XCOPY "%JAVA_HOME%" "%JAVA_TMP%" /E /Q
IF NOT EXIST "%JAVA_TMP%\bin" GoTo FailedCopyJDK
IF NOT EXIST "%JAVA_TMP%\bin\java.exe" GoTo FailedCopyJDK
Goto OkCopyJDK

:SkipCopyJDK
Echo EFix processing was selected; no local copy of the
Echo JDK will be created.  PTF processing is disabled.
Echo.
goto LaunchInstaller

:FailedCopyJDK
Echo The JDK could not be copied into the current directory.
Echo JAVA_HOME: [ %JAVA_HOME% ]
Echo JAVA_TMP:  [ %JAVA_TMP% ]
Echo.
Echo Exiting.
Echo.
GOTO Usage

:OKCopyJDK
IF "%DEBUG_UPDATE%" == "yes" Echo The JDK was successfully copied.
IF "%DEBUG_UPDATE%" == "yes" Echo.
Set JAVA_HOME=%JAVA_TMP%
GoTo LaunchInstaller


:LaunchInstaller
Echo Launching the update installer wizard.
Echo.
set WindowsLAF=com.sun.java.swing.plaf.windows.WindowsLookAndFeel
set PATH=%PATH%;"%JAVA_HOME%"\bin
rem echo java.exe -DprodHelper=com.ibm.commerce.install.update.WCProductDetectHelper -Dcom.ibm.websphere.update.debug=false -Dcom.ibm.websphere.update.ptf.debug=false -Dswing.defaultlaf=%WindowsLAF% -Xmx256m -cp "%~dp0lib\wcsdepcheck.jar;%~dp0lib\WCextensions.jar;%~dp0installer.jar;%~dp0lib\extfile.jar;%~dp0lib\jtopen.jar" run
java.exe -DprodHelper=com.ibm.commerce.install.update.WCProductDetectHelper -Dcom.ibm.websphere.update.debug=false -Dcom.ibm.websphere.update.ptf.debug=false -Dswing.defaultlaf=%WindowsLAF% -Xmx256m -cp "%~dp0lib\wcsdepcheck.jar;%~dp0lib\WCextensions.jar;%~dp0installer.jar;%~dp0lib\extfile.jar;%~dp0lib\jtopen.jar" run

GoTo End


:End
Echo End of [ %LaunchTitle% ] launch script.
Echo.

IF NOT EXIST C:\temp\utils  mkdir C:\temp\utils
copy /Y utils\*  C:\temp\utils\

IF /I  "%1" == "install"   GOTO install
IF /I  "%1" == "uninstall" GOTO uninstall

:install
%TC_ROOT%\bin\bash --login -c "C:/TEMP/utils/install_status.sh"
IF %ERRORLEVEL% == 0 GOTO changeReg
GOTO cancelled

:uninstall
 %TC_ROOT%\bin\bash --login -c "C:/TEMP/utils/uninstall_status.sh"
IF %ERRORLEVEL% == 0 GOTO changeReg
GOTO cancelled


:changeReg
ECHO Change Registry
IF /I  "%1" == "install"    call C:\temp\utils\install_reg.bat
IF /I  "%1" == "uninstall"    call C:\temp\utils\uninstall_reg.bat
GOTO updateSig

:updateSig
Echo update signature file
IF /I  "%1" == "install"  %TC_ROOT%\bin\bash --login -c "C:/temp/utils/update_signature.sh"
GOTO user-factory

:user-factory
echo update configuration file user-factory.xml
IF /I "%1" == "install" %TC_ROOT%\bin\bash --login -c "C:/temp/utils/update_userfactory.sh"
GOTO reports-all

:reports-all
IF /I "%1" == "install" %TC_ROOT%\bin\bash --login -c "C:/temp/utils/update_reports.sh"
GOTO deployEAR

:deployEAR
Echo Redeploy the EAR file
IF "%WAS_HOME%" == ""  GOTO ERROR


call C:\temp\utils\start_was.bat
call C:\temp\utils\redeploy.bat
call C:\temp\utils\stop_was.bat
GOTO ends

:ERROR
echo "undefined environment variable"

:Usage
echo "Usage: updateWizard ([install | uninstall ])"
endlocal


:cancelled
IF /I  "%1" == "install"    echo cancelled installation
IF /I  "%1" == "uninstall"    echo cancelled uninstallation

:ends
Echo exiting
endlocal







