#!/bin/bash

# Check that $TC_ROOT is defined
#
if [ -z "$TC_ROOT" ]; then
   echo "%TC_ROOT-E-NOROOT, \$TC_ROOT is not defined" >&2
   exit 1
fi


if [ ! -d $TC_ROOT/tmp ]; then
	mkdir $TC_ROOT/tmp
fi

# Find current Directory
current_dir=`dirname $0`
[ "$current_dir" = "." ] && current_dir=`pwd`


temp_reg=$TC_ROOT/tmp/temp$$.REG
temp_ui=$TC_ROOT/tmp/ui$$.xml

#detect it's TIO or TPM
sed -e 's/  */ /g' $TC_ROOT/home/thinkcontrol/config/ui.xml > $temp_ui
grep -e "<!-- <configuration id='think-provision'/> -->" $temp_ui > /dev/null
if [ $? -ne 0 ]; then
	echo "TPM-I-DETECTED: TPM is installed"
	mv -f $current_dir/deleteTPMKey.REG $TC_ROOT/tmp/deleteTPMKey.REG 
	
else
	echo "TIO-I-DETECTED: TIO is installed"
	mv -f $current_dir/deleteTIOKey.REG $TC_ROOT/tmp/deleteTIOKey.REG
	
fi      